NoClassDefFoundError: de/xzise/XLogger #17


  • New
  • Defect
Open
Assigned to _ForgeUser7440577
  • viveleroi0 created this issue Mar 3, 2012

    CraftBukkit version git-Bukkit-1.1-R6-31-g0545c46-b2032jnks (MC: 1.2.3) (Implementing API version 1.2.3-R0.1-SNAPSHOT

    09:27:27 [SEVERE] Error occurred while enabling xWarp v3.1.6 (Is it up to date?)
    java.lang.NoClassDefFoundError: de/xzise/XLogger
        at de.xzise.xwarp.XWarp.onEnable(XWarp.java:56)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:215)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:336)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:363)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:250)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:232)
        at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:374)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:361)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:187)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:425)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:490)
    Caused by: java.lang.ClassNotFoundException: de.xzise.XLogger
        at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:41)
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:29)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
        ... 11 more

  • viveleroi0 added the tags New Defect Mar 3, 2012
  • TNTUP posted a comment Mar 13, 2012

    Try this one: https://github.com/downloads/xZise/Bukkit-Plugin-Utilties/bukkitutil-1.3.0-B7.jar

    I had that error earlier, downloaded the 1.2.3 one. When I downloaded this one, it works :)


To post a comment, please login or register a new account.